Bug 31722 - Check the replication consistency
Check the replication consistency
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: LDAP
UCS 3.1
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Philipp Hahn
Stefan Gohmann
: interim-1
Depends on:
Blocks: 32025
  Show dependency treegraph
 
Reported: 2013-06-12 08:23 CEST by Stefan Gohmann
Modified: 2013-11-19 06:42 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2013-06-12 08:23:43 CEST
Based on the compareldap script Bug #29337, we should add a simple test script which creates different objects for example 10 users, 5 groups. Once the replication has been finished, the ldap should be compared.
Comment 1 Philipp Hahn univentionstaff 2013-07-18 13:53:21 CEST
svn42565: 10_ldap/42replication_ldiff
Comment 2 Stefan Gohmann univentionstaff 2013-07-19 11:50:12 CEST
The test case looks good.

Only one minor issue, in a S4 domain the sambaSID is generated by S4 so the order is:
 - create user in OpenLDAP
 - sync user to Samba 4
 - sync user back from Samba 4 to OpenLDAP with the correct sambaSID

Plase add a small note to the changelog.
Comment 3 Philipp Hahn univentionstaff 2013-07-19 13:00:48 CEST
(In reply to Stefan Gohmann from comment #2)
> Only one minor issue, in a S4 domain the sambaSID is generated by S4 so the
> order is:
>  - create user in OpenLDAP
>  - sync user to Samba 4
>  - sync user back from Samba 4 to OpenLDAP with the correct sambaSID

And how does that affect this test case?


> Plase add a small note to the changelog.
svn42610: The LDAP tests to check replication have ween improved
Comment 4 Stefan Gohmann univentionstaff 2013-07-19 13:56:21 CEST
(In reply to Philipp Hahn from comment #3)
> (In reply to Stefan Gohmann from comment #2)
> > Only one minor issue, in a S4 domain the sambaSID is generated by S4 so the
> > order is:
> >  - create user in OpenLDAP
> >  - sync user to Samba 4
> >  - sync user back from Samba 4 to OpenLDAP with the correct sambaSID
> 
> And how does that affect this test case?

Maybe the search is always fast enough, but if I put a 'sleep 2' between the both ldapsearch calls I got this:

info 2013-07-05 11:40:07         +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
OK: replication complete (nid=17790 lid=17790)
Done: replication complete.
 dn: uid=gänr479p,cn=users,dc=deadlock11,dc=local
+sambaSID: S-1-5-21-3657333580-1727874142-953149644-251948
-sambaSID: S-1-4-2429

error 2013-07-05 11:40:09        Difference between master and server
error 2013-07-05 11:40:09        **************** Test failed above this line (1) ****************

I suggest we wait if it happens in jenkins, so far verified.
Comment 5 Stefan Gohmann univentionstaff 2013-11-19 06:42:17 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".